Invalid signature file digest for Manifest main attributes

Hi, i use Aspose.Words.1.8.0.jar developed a library and post it to maven, if i config the project root build.gradle like this:

buildscript {
     ...
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.2'
    }
}

then, in my app, my license file work, but when i change the gradle version to 3.0.1, like this:

buildscript {
    ...
    dependencies {
        classpath 'com.android.tools.build:gradle:3.0.1'
    }
}

and post it to maven, my license file doesn’t work, but if i use the library(develop myself) as module, it’s work, How can i resolve this problem?, i don’t want to change to 2.3.2 every time, thanks.

@loocie,

Thanks for your inquiry. We are working over your query and will get back to you soon.

@loocie,

1.8.0 is a very old version of Aspose.Words for Android via Java; unfortunately, we do not provide support for such older released versions of Aspose.Words for Android via Java. Please note that we do not provide any fixes or patches for such old versions of Aspose.Words for Android via Java either. All fixes and new features are always added into new versions of our APIs. So, you will have to upgrade to the latest version i.e. 18.3 from the following link.
https://releases.aspose.com/words/java/

thanks all the same

@loocie,

Please let us know any time you have any further queries.